# ``twisted`.`cred`.`credentials`.`IUsernamePassword``

interface documentation

`class IUsernamePassword(ICredentials): (source)`

Known implementations: `twisted.cred.credentials.UsernamePassword`, `twisted.mail.pop3.APOPCredentials`

View In Hierarchy

I encapsulate a username and a plaintext password.

This encapsulates the case where the password received over the network has been hashed with the identity function (That is, not at all). The CredentialsChecker may store the password in whatever format it desires, it need only transform the stored password in a similar way before performing the comparison.

Method | `checkPassword` | Validate these credentials against the correct password.
Instance Variable | `password` | The password associated with these credentials.
Instance Variable | `username` | The username associated with these credentials.

def checkPassword(password): (source)
Validate these credentials against the correct password.

Parameters
password:`bytes` | The correct, plaintext password against which to check.
Returns
`bool` or `Deferred` | `True` if the credentials represented by this object match the given password, `False` if they do not, or a `Deferred` which will be called back with one of these values.

password: `bytes` = (source)
The password associated with these credentials.
username: `bytes` = (source)
The username associated with these credentials.